develooper Front page | perl.perl5.porters | Postings from July 2001

Re: perl_clone leaks

Thread Previous
From:
Artur Bergman
Date:
July 11, 2001 11:12
Subject:
Re: perl_clone leaks
Message ID:
B772636F.2258%artur@contiller.se
01-07-11 18.20, skrev Doug MacEachern på dougm@covalent.net följande:

> the following program does not leak with 5.6.1, with bleedperl leaks,
> example:
> % ./clone_leak -MCGI -e0
> Scalars leaked: -4
> Scalars leaked: 4
> PID   VSZ COMMAND
> 3673  4428 clone_leak

I have seen this this problem on and off for quite some time. It only seems
to happen for the first perl_clone.

It seems like some scalars get accounted for in the wrong interpreter. If
you do 4 -4 you get 0, so in reality we should have no leakder scalars :)

Is this leak with the threadsafe PMOP stuff added? There are leaks in there
that I am fixing now.

Artur


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About